Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.utils
Class ExtractReuters

    java.lang.Object
      org.apache.lucene.benchmark.utils.ExtractReuters

    public class ExtractReuters

extends Object

Split the Reuters SGML documents into Simple Text files containing: Title, Date, Dateline, Body

Constructor Summary
`ExtractReuters(File reutersDir, File outputDir)`

Method Summary
`void` | `extract()`
`protected void` | `extractFile(File sgmFile)` Override if you wish to change what is extracted
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtractReuters

    public ExtractReuters(File reutersDir,
                          File outputDir)

Method Detail

### extract

    public void extract()

### extractFile

    protected void extractFile(File sgmFile)

  Override if you wish to change what is extracted

  Parameters:
    `sgmFile` -

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.